Name:           python-asyncari
Version:        0.20.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Asynchronous adapter to the Asterisk ARI interface

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/M-o-a-T/asyncari
Source:         %{pypi_source asyncari}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'asyncari' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-asyncari
Summary:        %{summary}

%description -n python3-asyncari %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-asyncari test


%prep
%autosetup -p1 -n asyncari-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-asyncari -f %{pyproject_files}


%changelog
%autochangelog